Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.multicast
Class MulticastTransportServerChannel

    java.lang.Object
      org.codehaus.activemq.transport.TransportServerChannelSupport
          org.codehaus.activemq.transport.multicast.MulticastTransportServerChannel

All Implemented Interfaces:
  Service, TransportServerChannel

public class MulticastTransportServerChannel
extends TransportServerChannelSupport

A Multicast implementation of TransportServerChannel

Version:
  $Revision: 1.12 $

Field Summary
`protected java.net.URI` | `bindAddress`

Constructor Summary
`MulticastTransportServerChannel(WireFormat wireFormat, java.net.URI bindAddr)`

Method Summary
`void` | `start()` start listeneing for events
`java.lang.String` | `toString()`

Methods inherited from class org.codehaus.activemq.transport.TransportServerChannelSupport
`addClient, setTransportChannelListener, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bindAddress

    protected java.net.URI bindAddress

Constructor Detail

### MulticastTransportServerChannel

    public MulticastTransportServerChannel(WireFormat wireFormat,
                                           java.net.URI bindAddr)

Method Detail

### start

    public void start()
               throws JMSException

  start listeneing for events

  Specified by:
    `start` in interface `TransportServerChannel`
  Overrides:
    `start` in class `TransportServerChannelSupport`
  Throws:
    `JMSException` - if an error occurs

### toString

    public java.lang.String toString()

  Returns:
    pretty print of this

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.